package cz.zweistein.df.soundsense;

import java.io.IOException;
import java.util.logging.Logger;

import cz.zweistein.df.soundsense.config.SoundsXML;
import cz.zweistein.df.soundsense.glue.Glue;
import cz.zweistein.df.soundsense.input.file.LogReader;
import cz.zweistein.df.soundsense.output.Procesor;
import cz.zweistein.df.soundsense.output.sound.SoundProcesor;
import cz.zweistein.df.soundsense.util.LoggerSource;

public class SoundSense {
	private static Logger logger = LoggerSource.logger;
	
	public static void main(String[] args) {
		
		try {
			
			String logFile = "../gamelog.txt";
			String soundsConfig = "./packs/";
			
			if (args.length > 0) {
				logFile = args[0];
			}
			if (args.length > 1) {
				soundsConfig = args[1];
			}
			
			logger.info("SoundSense for Dwarf Fortress is starting...");
			logger.info("Loading theme packs from "+soundsConfig);
			SoundsXML soundsXML = new SoundsXML(soundsConfig);
			logger.info("Done loading "+soundsConfig+", loaded "+soundsXML.getSounds().size()+" items.");
			
			logger.info("Attempting to listen to "+logFile);
			LogReader logReader = new LogReader(logFile);
			logger.info("Listening to "+logFile);
			
			Procesor sp = new SoundProcesor(soundsXML);
			
			Glue.glue(logReader, sp);
			
			//NetworkManager nm = new NetworkManager(sp);
			//nm.acceptIcommingConnections(3333);
			
		} catch (IOException e) {
			logger.severe("Exception :"+e+": "+e.toString());
		}
		
	}

}
