package cz.zweistein.df.soundsense.util;

import java.io.IOException;
import java.util.logging.Logger;

import cz.zweistein.df.soundsense.config.SoundsXML;
import cz.zweistein.df.soundsense.glue.Glue;
import cz.zweistein.df.soundsense.input.file.LogReader;
import cz.zweistein.df.soundsense.output.analysis.MissingMessagesProcessor;

public class MissingMessagesTool {
	
	private static Logger logger = LoggerSource.logger;
	
	public static void main(String[] args) {
		
		try {
			
			String logFile = "../gamelog.txt";
			String soundsConfig = "./packs/";
			
			if (args.length > 0) {
				logFile = args[0];
			}
			if (args.length > 1) {
				soundsConfig = args[1];
			}
			
			logger.info("MissingMessagesTool for SoundSense is starting...");
			logger.info("Loading theme packs from "+soundsConfig);
			SoundsXML soundsXML = new SoundsXML(soundsConfig, false);
			logger.info("Done loading "+soundsConfig+", loaded "+soundsXML.getSounds().size()+" items.");
			
			logger.info("Attempting to open "+logFile);
			LogReader logReader = new LogReader(logFile, false);
			logger.info("Parsing "+logFile);
			
			MissingMessagesProcessor mmp = new MissingMessagesProcessor(soundsXML);
			
			Glue.glue(logReader, mmp);
			
		} catch (IOException e) {
			logger.severe("Exception :"+e+": "+e.toString());
		}
		
	}

}
